<?php
/*
Plugin Name: WatuPRO Customization Plugin
Plugin URI: 
Description: A plugin for customizing WatuPRO using the API
Author: Kiboko Labs
Version: 1.0
Author URI: http://calendarscripts.info/
License: GPLv2 or later
*/

define( 'WATUPROCUSTOM_PATH', dirname( __FILE__ ) );
define( 'WATUPROCUSTOM_RELATIVE_PATH', dirname( plugin_basename( __FILE__ )));
define( 'WATUPROCUSTOM_URL', plugin_dir_url( __FILE__ ));

include(WATUPROCUSTOM_PATH.'/controllers/shortcodes.php');
include(WATUPROCUSTOM_PATH.'/controllers/actions.php');

register_activation_hook( __FILE__, 'watuprocustom_activate' );
add_action('init', 'watuprocustom_init');

function watuprocustom_activate() {
	// let's not use this for now and see how things work only with using sessions	
	global $user_ID, $wpdb;
	watuprocustom_init();
		
	// create database tables or add DB fields
}

function watuprocustom_init() {
	global $wpdb;
	
	// define constants for table names, if any	
   // define('WATUPROCUSTOM_MYTABLE', $wpdb->prefix.'watuprocustom_mytable');
	
	// typocally you'll want to add at least jQuery
	wp_enqueue_script('jquery');
   
   // add custom admin menu entries if any
	// add_action('watupro_admin_menu', 'watuprocustom_menu');
	
	// add custom shortcodes here. This will call the shortcode handler in controller/shortcodes.php
	// add_shortcode('watuprocustom-shortcode', array('WatuPROCustomShortcodes', 'my_shortcode'));
	
	// add custom action handlers if any
	// add_action('watupro_completed_exam', array('WatuPROCustomActions', 'completed_exam'));
}

// add options page if any. Don't forget to add it in the menu
function watuprocustom_options() {
	global $wpdb;
		
	// include(WATUPROCUSTOM_PATH.'/views/options.html.php');
}

function watuprocustom_menu() {
	// add_submenu_page('watupro_exams', 'My Custom Options', 'My Custom Item', 'manage_options', 'watuprocustom_options', 'watuprocustom_options');
}